Store refunds
Retrieve a refund
GET
/refunds/{id}Scope
refunds:readAuth Bearer keyPath parameters
idstringrequiredResponses
200Refund
json
{
"id": "ref_5c81a0d4f236",
"object": "refund",
"order_id": "ord_74b1c0e9a2",
"status": "completed",
"kind": "full",
"currency": "NGN",
"amount": "48500.00",
"reason": "Item out of stock",
"payout_status": "succeeded",
"payout_reference": "SFR-5C81A0D4F236",
"payout_attempts": 1,
"payout_failure_reason": null,
"destination": {
"type": "bank",
"bank_name": "Kuda",
"account_number": "••••4417",
"account_name": "Ada Nwosu"
},
"livemode": true,
"created_at": "2026-08-30T11:04:55.318Z"
}Errors
Errors use RFC 9457 problem details. Branch on code, and log request_id.
400Bad request401Unauthenticated403Forbidden409Idempotency conflict422Validation error429Rate limitedcURL
curl -X GET "https://business.boundlesspay.com/api/public/v1/refunds/{id}" \
-H "Authorization: Bearer $BOUNDLESS_API_KEY"